Subject: DOS, 4dos and Perl
From: [email-masked] (Roy M. Silvernail)
Date: Tue, 16 Apr 91 00:10:28 CDT
Newsgroups: comp.lang.perl

I don't know why I never thought of this before...

Instead of the kludgy batchfile wrapper for DOS Perl programs, 4dos
users have another option. I happened across it in the 4dos TFM just
now. 4dos allows you to declare other executable extensions with a
simple environment variable!

I already give my Perl programs a .pl extension, so I simply had to
'set .pl=c:\mybin\perl.exe' and my Perl scripts are now automagically
executable. 4dos even searches the path for the executable.

--
Roy M. Silvernail --  [email-masked] - OR-  [email-masked]
  perl -e '$x = 1/20; print "Just my \$$x! (adjusted for inflation)\n"'
        [space reserved for clever quote]{mail your submissions}